org.apache.solr.util

## Class SolrCLI.ToolBase

- java.lang.Object
- - org.apache.solr.util.SolrCLI.ToolBase

- All Implemented Interfaces:
    SolrCLI.Tool
  Direct Known Subclasses:
    SolrCLI.ApiTool, SolrCLI.AssertTool, SolrCLI.ConfigSetDownloadTool, SolrCLI.ConfigSetUploadTool, SolrCLI.ConfigTool, SolrCLI.CreateCollectionTool, SolrCLI.CreateCoreTool, SolrCLI.CreateTool, SolrCLI.DeleteTool, SolrCLI.RunExampleTool, SolrCLI.SolrCloudTool, SolrCLI.StatusTool, SolrCLI.UtilsTool, SolrCLI.ZkCpTool, SolrCLI.ZkLsTool, SolrCLI.ZkMvTool, SolrCLI.ZkRmTool
  Enclosing class:
    SolrCLI

      public abstract static class SolrCLI.ToolBase
      extends Object
      implements SolrCLI.Tool

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PrintStream` | `stdout`
    `protected boolean` | `verbose`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ToolBase()`
    `protected` | `ToolBase(PrintStream stdout)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `echo(String msg)`
    `protected abstract void` | `runImpl(org.apache.commons.cli.CommandLine cli)`
    `int` | `runTool(org.apache.commons.cli.CommandLine cli)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.util.SolrCLI.Tool

      `getName, getOptions`

- - ### Field Detail

    - #### stdout

          protected PrintStream stdout

    - #### verbose

          protected boolean verbose

  - ### Constructor Detail

    - #### ToolBase

          protected ToolBase()

    - #### ToolBase

          protected ToolBase(PrintStream stdout)

  - ### Method Detail

    - #### echo

          protected void echo(String msg)

    - #### runTool

          public int runTool(org.apache.commons.cli.CommandLine cli)
                      throws Exception

      Specified by:
        `runTool` in interface `SolrCLI.Tool`
      Throws:
        `Exception`

    - #### runImpl

          protected abstract void runImpl(org.apache.commons.cli.CommandLine cli)
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.